IF NOT EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[mps_prdctg2]') AND type = 'U')
CREATE TABLE [dbo].[mps_prdctg2]
(
    [pc2_pcid] int NOT NULL DEFAULT((0)),
    [pc2_tag] int NOT NULL DEFAULT((0)),
    [pc2_group] nvarchar(50) COLLATE Chinese_PRC_CI_AS NOT NULL DEFAULT(''),
    [pc2_caption] nvarchar(100) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [pc2_page] int NULL DEFAULT((1)),
    CONSTRAINT [PK_MPS_PRDCTG2] PRIMARY KEY ([pc2_pcid] ASC,[pc2_tag] ASC,[pc2_group] ASC)
)

ALTER TABLE [dbo].[mps_prdctg2] WITH CHECK ADD CONSTRAINT [FK_MPS_PRDC_REFERENCE_MPS_PRDC] FOREIGN KEY ([pc2_pcid]) REFERENCES [dbo].[mps_prdctg] ([pc_id]) ON DELETE CASCADEALTER TABLE [dbo].[mps_prdctg2] CHECK CONSTRAINT [FK_MPS_PRDC_REFERENCE_MPS_PRDC]